// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.LeaderboardEntry}
 */
public  final class LeaderboardEntry extends
    com.google.protobuf.GeneratedMessageLite<
        LeaderboardEntry, LeaderboardEntry.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.LeaderboardEntry)
    LeaderboardEntryOrBuilder {
  private LeaderboardEntry() {
  }
  public static final int IS_CURRENT_USER_FIELD_NUMBER = 1;
  private boolean isCurrentUser_;
  /**
   * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
   * @return The isCurrentUser.
   */
  @java.lang.Override
  public boolean getIsCurrentUser() {
    return isCurrentUser_;
  }
  /**
   * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
   * @param value The isCurrentUser to set.
   */
  private void setIsCurrentUser(boolean value) {
    
    isCurrentUser_ = value;
  }
  /**
   * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
   */
  private void clearIsCurrentUser() {
    
    isCurrentUser_ = false;
  }

  public static final int SCORE_FIELD_NUMBER = 2;
  private long score_;
  /**
   * <code>int64 score = 2 [json_name = "score"];</code>
   * @return The score.
   */
  @java.lang.Override
  public long getScore() {
    return score_;
  }
  /**
   * <code>int64 score = 2 [json_name = "score"];</code>
   * @param value The score to set.
   */
  private void setScore(long value) {
    
    score_ = value;
  }
  /**
   * <code>int64 score = 2 [json_name = "score"];</code>
   */
  private void clearScore() {
    
    score_ = 0L;
  }

  public static final int TIME_TAKEN_FIELD_NUMBER = 3;
  private com.google.protobuf.Duration timeTaken_;
  /**
   * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
   */
  @java.lang.Override
  public boolean hasTimeTaken() {
    return timeTaken_ != null;
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Duration getTimeTaken() {
    return timeTaken_ == null ? com.google.protobuf.Duration.getDefaultInstance() : timeTaken_;
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
   */
  private void setTimeTaken(com.google.protobuf.Duration value) {
    value.getClass();
  timeTaken_ = value;
    
    }
  /**
   * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeTimeTaken(com.google.protobuf.Duration value) {
    value.getClass();
  if (timeTaken_ != null &&
        timeTaken_ != com.google.protobuf.Duration.getDefaultInstance()) {
      timeTaken_ =
        com.google.protobuf.Duration.newBuilder(timeTaken_).mergeFrom(value).buildPartial();
    } else {
      timeTaken_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
   */
  private void clearTimeTaken() {  timeTaken_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.LeaderboardEntry prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.LeaderboardEntry}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.LeaderboardEntry, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.LeaderboardEntry)
      gg.dsepractice.chinese.v1alpha1.LeaderboardEntryOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
     * @return The isCurrentUser.
     */
    @java.lang.Override
    public boolean getIsCurrentUser() {
      return instance.getIsCurrentUser();
    }
    /**
     * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
     * @param value The isCurrentUser to set.
     * @return This builder for chaining.
     */
    public Builder setIsCurrentUser(boolean value) {
      copyOnWrite();
      instance.setIsCurrentUser(value);
      return this;
    }
    /**
     * <code>bool is_current_user = 1 [json_name = "isCurrentUser"];</code>
     * @return This builder for chaining.
     */
    public Builder clearIsCurrentUser() {
      copyOnWrite();
      instance.clearIsCurrentUser();
      return this;
    }

    /**
     * <code>int64 score = 2 [json_name = "score"];</code>
     * @return The score.
     */
    @java.lang.Override
    public long getScore() {
      return instance.getScore();
    }
    /**
     * <code>int64 score = 2 [json_name = "score"];</code>
     * @param value The score to set.
     * @return This builder for chaining.
     */
    public Builder setScore(long value) {
      copyOnWrite();
      instance.setScore(value);
      return this;
    }
    /**
     * <code>int64 score = 2 [json_name = "score"];</code>
     * @return This builder for chaining.
     */
    public Builder clearScore() {
      copyOnWrite();
      instance.clearScore();
      return this;
    }

    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    @java.lang.Override
    public boolean hasTimeTaken() {
      return instance.hasTimeTaken();
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Duration getTimeTaken() {
      return instance.getTimeTaken();
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    public Builder setTimeTaken(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.setTimeTaken(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    public Builder setTimeTaken(
        com.google.protobuf.Duration.Builder builderForValue) {
      copyOnWrite();
      instance.setTimeTaken(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    public Builder mergeTimeTaken(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.mergeTimeTaken(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 3 [json_name = "timeTaken"];</code>
     */
    public Builder clearTimeTaken() {  copyOnWrite();
      instance.clearTimeTaken();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.LeaderboardEntry)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.LeaderboardEntry();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "isCurrentUser_",
            "score_",
            "timeTaken_",
          };
          java.lang.String info =
              "\u0000\u0003\u0000\u0000\u0001\u0003\u0003\u0000\u0000\u0000\u0001\u0007\u0002\u0002" +
              "\u0003\t";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.LeaderboardEntry.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.LeaderboardEntry>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.LeaderboardEntry)
  private static final gg.dsepractice.chinese.v1alpha1.LeaderboardEntry DEFAULT_INSTANCE;
  static {
    LeaderboardEntry defaultInstance = new LeaderboardEntry();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      LeaderboardEntry.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.LeaderboardEntry getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<LeaderboardEntry> PARSER;

  public static com.google.protobuf.Parser<LeaderboardEntry> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

